std::piecewise_linear_distribution::piecewise_linear_distribution(3)

NAME
std::piecewise_linear_distribution::piecewise_linear_distribution - std::piecewise_linear_distribution::piecewise_linear_distribution

Synopsis
   piecewise_linear_distribution(); (1) (since C++11)
   template< class InputIt1, class InputIt2 >
   piecewise_linear_distribution( InputIt1 first_i, InputIt1 last_i, (2) (since C++11)
   InputIt2 first_w );
   template< class UnaryOperation >
   piecewise_linear_distribution( std::initializer_list<RealType> (3) (since C++11)
   ilist,
   UnaryOperation fw );
   template< class UnaryOperation >
   piecewise_linear_distribution( std::size_t nw, (4) (since C++11)
   RealType xmin, RealType xmax,
   UnaryOperation fw );
   explicit piecewise_linear_distribution( const param_type& parm ); (5) (since C++11)
   Constructs new piecewise linear distribution object.
   1) Constructs a distribution object with n = 1, ρ0 = 1, b0 = 0, and b1 = 1.
   2) Constructs a distribution object from iterators over the interval sequence
   [first_i, last_i) and a matching weight sequence starting at first_w.
   3) Constructs a distribution object where the intervals are taken from the
   initializer list ilist and the weights generated by the function fw.
   4) Constructs a distribution object with the fw intervals distributed uniformly over
   [xmin, xmax]
   5) Constructs a distribution object initialized with the parameters param.

Parameters
   first_i - iterator initialized to the start of the interval sequence
   last_i - iterator initialized to one-past-the-end of the interval sequence
   first_w - iterator initialized to the start of the density (weight) sequence
   ilist_i - initializer_list yielding the interval sequence
   fw - double(double) function yielding the densities
   nw - the number of densities
   xmin - the lower bound of the interval sequence
   xmax - the upper bound of the interval sequence
   parm - the distribution parameter set